// MandelMTView.h : interface of the CMandelMTView class
//
/////////////////////////////////////////////////////////////////////////////

#if !defined(AFX_MANDELMTVIEW_H__3DD7B0ED_A9DC_11D1_80FC_00C0F6A83B7F__INCLUDED_)
#define AFX_MANDELMTVIEW_H__3DD7B0ED_A9DC_11D1_80FC_00C0F6A83B7F__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000


class CMandelMTView : public CView
{
public:
   CWinThread *m_PDrawThread;

protected: // create from serialization only
   CMandelMTView();
   DECLARE_DYNCREATE(CMandelMTView)

// Attributes
public:
   CMandelMTDoc* GetDocument();

// Operations
public:

// Overrides
   // ClassWizard generated virtual function overrides
   //{{AFX_VIRTUAL(CMandelMTView)
   public:
   virtual void OnDraw(CDC* pDC);  // overridden to draw this view
   virtual BOOL PreCreateWindow(CREATESTRUCT& cs);
   protected:
   //}}AFX_VIRTUAL

// Implementation
public:
   virtual ~CMandelMTView();
#ifdef _DEBUG
   virtual void AssertValid() const;
   virtual void Dump(CDumpContext& dc) const;
#endif

protected:

// Generated message map functions
protected:
   //{{AFX_MSG(CMandelMTView)
   afx_msg void OnSize(UINT nType, int cx, int cy);
   //}}AFX_MSG
   DECLARE_MESSAGE_MAP()
};

#ifndef _DEBUG  // debug version in MandelMTView.cpp
inline CMandelMTDoc* CMandelMTView::GetDocument()
   { return (CMandelMTDoc*)m_pDocument; }
#endif

/////////////////////////////////////////////////////////////////////////////

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_MANDELMTVIEW_H__3DD7B0ED_A9DC_11D1_80FC_00C0F6A83B7F__INCLUDED_)
